> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mynth.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Rate Images



## OpenAPI

````yaml https://api.mynth.io/openapi.json post /image/rate
openapi: 3.1.0
info:
  title: Mynth
  description: Mynth API
  version: 1.0.0
servers: []
security: []
paths:
  /image/rate:
    post:
      tags:
        - Image
      summary: Rate Images
      operationId: postImageRate
      responses:
        '200':
          description: Rate images synchronously
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      results:
                        type: array
                        maxItems: 10
                        minItems: 1
                        items:
                          anyOf:
                            - type: object
                              properties:
                                error:
                                  type: object
                                  properties:
                                    code:
                                      type: string
                                  required:
                                    - code
                                status:
                                  const: failed
                                url:
                                  type: string
                                  description: The submitted image URL
                              required:
                                - error
                                - status
                                - url
                            - type: object
                              properties:
                                level:
                                  type: string
                                  description: The rating level
                                  maxLength: 24
                                  minLength: 1
                                status:
                                  const: success
                                url:
                                  type: string
                                  description: The submitted image URL
                              required:
                                - level
                                - status
                                - url
                      task:
                        type: object
                        properties:
                          cost:
                            type: string
                          id:
                            type: string
                          status:
                            const: completed
                        required:
                          - cost
                          - id
                          - status
                    required:
                      - results
                      - task
                required:
                  - data
        '202':
          description: Image rating task queued
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      task:
                        type: object
                        properties:
                          id:
                            type: string
                          status:
                            const: pending
                        required:
                          - id
                          - status
                    required:
                      - task
                required:
                  - data
        '500':
          description: Image rating task failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      errors:
                        type: array
                        minItems: 1
                        items:
                          type: object
                          properties:
                            code:
                              type: string
                          required:
                            - code
                      task:
                        type: object
                        properties:
                          id:
                            type: string
                          status:
                            const: failed
                        required:
                          - id
                          - status
                    required:
                      - errors
                      - task
                required:
                  - data
      security:
        - apiKeyAuth: []
        - oauthAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: http
      scheme: bearer
      description: 'Mynth API key sent as `Authorization: Bearer <api-key>`.'
    oauthAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: 'OAuth access token sent as `Authorization: Bearer <access-token>`.'

````